<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Decl. Expressions(functions)</TITLE>
<link href="builder_34.html" rel=Next>
<link href="builder_32.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_32.html">previous</A>, <A HREF="builder_34.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC64" HREF="builder_toc.html#TOC64">Constructing Expressions Using Explicit Function Calls</A></H2>
<P>
<A NAME="IDX485"></A>

</P>
<P>
Expressions and statements can be created using these functions. The
types of expressions are in See section <A HREF="builder_34.html#SEC65">Operators</A>. Expressions and
statements can be created using operator overloading (See section <A HREF="builder_32.html#SEC63">Constructing Expressions Using Operator Overloading</A>). Building expressions using explicit
functions is recommended when the exact structure of the expression is not
known at compile time. 

</P>
<P>
<A NAME="IDX486"></A>
<A NAME="IDX487"></A>
<A NAME="IDX488"></A>
<A NAME="IDX489"></A>
<A NAME="IDX490"></A>
<A NAME="IDX491"></A>
<A NAME="IDX492"></A>
<A NAME="IDX493"></A>
<A NAME="IDX494"></A>

<PRE>
     block &#38; op(char * o, 
                block &#38; A) 
     block &#38; op(unary_op o, 
                block &#38; A) 
                                    
     block &#38; op(block &#38; A, 
                binary_op o, 
                block &#38; B)   
                                    
     block &#38; op(block &#38; A, 
                char * o, 
                block &#38; B)   
<A NAME="IDX495"></A>                                    
     block &#38; assign(block &#38; A, 
                    assign_op o, 
                    block &#38; B) 
                                      
     block &#38; CALL(block &#38; s, 
                  block &#38; ex1 = *NOOP, block &#38; ex2 = *NOOP, 
                  block &#38; ex3 = *NOOP, block &#38; ex4 = *NOOP, 
                  block &#38; ex5 = *NOOP, block &#38; ex6 = *NOOP, 
                  block &#38; ex7 = *NOOP, block &#38; ex8 = *NOOP, 
                  block &#38; ex9 = *NOOP, block &#38; ex10= *NOOP, 
                  block &#38; ex11= *NOOP, block &#38; ex12= *NOOP);
<A NAME="IDX496"></A>
<A NAME="IDX497"></A>     block &#38; douniop(unary_op uop)   
<A NAME="IDX498"></A>
<A NAME="IDX499"></A><A NAME="IDX500"></A><A NAME="IDX501"></A><A NAME="IDX502"></A><A NAME="IDX503"></A>     block &#38; dobinop(binary_op bop, 
                     block &#38; A)       
     block &#38; dobinop(binary_op bop, 
                     int i)           
<A NAME="IDX504"></A>     block &#38; dobinop(binary_op bop, 
                     double d)        
<A NAME="IDX505"></A>     block &#38; dobinop(binary_op bop, 
                     float d)         
<A NAME="IDX506"></A>     block &#38; dobinop(binary_op bop, 
                     char * s)        
<A NAME="IDX507"></A><A NAME="IDX508"></A>
<A NAME="IDX509"></A><A NAME="IDX510"></A><A NAME="IDX511"></A><A NAME="IDX512"></A><A NAME="IDX513"></A>     block &#38; doasignop(assign_op aop, 
                       block &#38; A)     

     block &#38; doasignop(assign_op aop, 
                       int i)         
<A NAME="IDX514"></A>     block &#38; doasignop(assign_op aop, 
                       double d)      
<A NAME="IDX515"></A>     block &#38; doasignop(assign_op aop, 
                       float d)       
<A NAME="IDX516"></A>     block &#38; doasignop(assign_op aop, 
                       char * s)      
<A NAME="IDX517"></A><A NAME="IDX518"></A></PRE>

<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_32.html">previous</A>, <A HREF="builder_34.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
